Introduction
Welcome to the SewerAI API (v1). This API enables authorized parties to transmit, store, and retrieve asset inspection information from our system, including data and videos. It also allows you to initiate AI computer vision (“AutoCode”) and retrieve the results of that process.
Quick Start
- Optional: Create Organization(s)
- Create Asset(s) - (owned by
organizations) - Create Project(s)
- Loop through inspection videos;
- Create Inspection (of an
asset, connected to aproject) - Create Video and assign it the
inspectionfrom previous - Upload Video
- Create Inspection (of an
- Optional: AutoCode individual
inspectionsor all in theproject
Authentication
Please request an API token by contacting your point of contact at SewerAI or emailing: info at sewerai.com You must be a registered user to test or utiilize the API.
Swagger Playground
https://api.sewerai.com/api/schema/swagger/
Example Scripts
The following python scripts are examples on how to use the api…
# Test Values
from faker import Faker
fake = Faker()
org_name = fake.company()
asset_name = fake.catch_phrase()
project_name = fake.bs()
import requests
#setup constants
MY_INSPECTIONS_FOLDER = "MyInspections"
API_KEY = "<your-api-key>"
BASE_URL = "https://api.sewerai.com/v1"
headers = {
'Content-Type': 'application/json',
'Authorization': f"X-SAI {API_KEY}"
}
def create_organization(org: dict) -> (dict, int):
payload = json.dumps(org)
response = requests.post(
url=f"{BASE_URL}/organizations/",
headers=headers,
data=payload
)
if response.status_code == 201:
return json.loads(response.text), 201
else:
raise Exception(response.text)
def create_asset(asset: dict) -> (dict, int):
payload = json.dumps(asset)
response = requests.post(
url=f"{BASE_URL}/assets/",
headers=headers,
data=payload
)
if response.status_code == 201:
return json.loads(response.text), 201
else:
raise Exception(response.text)
def create_project(project: dict) -> (dict, int):
payload = json.dumps(project)
response = requests.post(
url=f"{BASE_URL}/projects/",
headers=headers,
data=payload
)
if response.status_code == 201:
return json.loads(response.text), 201
else:
raise Exception(response.text)
def create_inspection(inspection: dict) -> (dict, int):
payload = json.dumps(inspection)
response = requests.post(
url=f"{BASE_URL}/inspections/",
headers=headers,
data=payload
)
if response.status_code == 201:
return json.loads(response.text), 201
else:
raise Exception(response.text)
def get_inspection(inspection_sid: str):
response = requests.get(
url=f"{BASE_URL}/inspections/{inspection_sid}/",
headers=headers
)
if response.status_code == 200:
return json.loads(response.text)
else:
raise Exception(response.text)
def list_observations(inspection_sid: str):
response = requests.get(
url=f"{BASE_URL}/inspections/{inspection_sid}/observations/",
headers=headers
)
if response.status_code == 200:
return json.loads(response.text)
else:
raise Exception(response.text)
def create_video(video: dict) -> (dict, int):
payload = json.dumps(video)
response = requests.post(
url=f"{BASE_URL}/videos/",
headers=headers,
data=payload
)
if response.status_code == 201:
return json.loads(response.text), 201
else:
raise Exception(response.text)
def upload_video(name:str, path:str, upload_data: dict):
url = upload_data['url']
payload = {
'key': upload_data['fields']['key'],
'AWSAccessKeyId': upload_data['fields']['AWSAccessKeyId'],
'policy': upload_data['fields']['policy'],
'signature': upload_data['fields']['signature'],
}
files = [
(
"file",
(
name,
open(path, "rb"),
"application/octet-stream",
),
)
]
response = requests.post(
url=url,
headers={},
data=payload,
files=files
)
# print(response)
return
def list_videos(video_sids: list):
videos = list()
for sid in video_sids:
response = requests.get(
url=f"{BASE_URL}/videos/{sid}/",
headers=headers
)
if response.status_code == 200:
videos.append(json.loads(response.text))
else:
print(response.text)
# raise Exception(response.text)
return videos
def run_autocode(inspection_sids: list = None, project_sids: list = None):
payload = json.dumps({
'inspections': inspection_sids,
'projects': project_sids
})
response = requests.post(
url=f"{BASE_URL}/inspections/AutoCode/",
headers=headers,
data=payload
)
if response.status_code == 200:
return json.loads(response.text), 200
else:
raise Exception(response.text)
Create an Organization (optional)
org_sid = None
try:
org = {
'name': org_name,
'city': 'Calebtown'
}
result = create_organization(org)
org_sid = result[0]['sid']
except Exception as e:
print(f"error: {e}")
Create an Asset
asset_sid = None
try:
asset = {
'name': asset_name,
'owner': org_sid,
'kind': 'mainline', # ['mainline', 'lateral', 'maintenance-hole']
'city': 'Calebtown'
}
result = create_asset(asset)
asset_sid = result[0]['sid']
except Exception as e:
print(f"error: {e}")
Create a Project
project_sid = None
try:
project = {
'name': project_name,
}
result = create_project(project)
project_sid = result[0]['sid']
except Exception as e:
print(f"error: {e}")
Create Inspections and Videos from a directory with video files
Folder structure in this example
-
~/my_inspections
-
Videos
-
video1.mp4
-
video2.mp4
-
import pathlib
import datetime
import uuid
path = pathlib.Path(f"{MY_INSPECTIONS_FOLDER}/Video")
files = [e for e in path.iterdir() if e.is_file()]
videos_list = list()
for file in files:
inspection_sid = None
try:
inspection = {
'key': str(uuid.uuid4()), # A unique key for this inspection (if not provided, then a uuid is added),
'projects': [project_sid, ],
'asset': asset_sid, # required
# 'owner': owner_sid, # (optional)
# 'client': client_sid, # (optional)
# 'reason': None, # (optional) [operations-support, infiltation-and-inflow, new-install, etc.
'city': 'Calebtown',
'inspection_datetime': datetime.datetime.now().isoformat(),
'begin_access_point': None, # Or, create an asset for the beginning access point
'end_access_point': None, # Or, create an asset...
}
result = create_inspection(inspection)
inspection_sid = result[0]['sid']
video_path = str(file.resolve())
result = create_video({
'inspection': inspection_sid,
'path': video_path
})
video_sid = result[0]['sid']
videos_list.append(video_sid)
upload_data = result[0]['presigned_upload_data']
upload_video(result[0]['video_name'], video_path, upload_data)
except Exception as e:
print(f"error: {e}")
Check for Videos to be Encoded
# Wait at least 5 minutes before trying this example
videos = list_videos(videos_list)
videos_count = len(videos)
for v in videos:
if v['stage'] == 'uploaded':
videos_count -= 1
else:
print(v['stage'])
assert videos_count == 0, f"A video has not finished uploading. Try again in a bit."
Run AutoCode
inspections_to_autocode = list()
for v in videos:
inspection_sid = v['inspection'].split('/')[-2]
if v['stage'] == 'uploaded':
inspections_to_autocode.append(inspection_sid)
# run_autocode(inspections_to_autocode) # uncomment to run autocode
Check for Videos to be AutoCoded
# Wait at least 15-20 minutes before trying this example
videos = list_videos(videos_list)
videos_count = len(videos)
for v in videos:
if v['stage'] == 'autocode_complete':
videos_count -= 1
else:
print(f"{v['video_name']} --- {v['stage']}")
assert videos_count == 0, "A video has not finished autocoding. Try again in a bit."
List Observations
observations = list()
for v in videos:
inspection_sid = v['inspection'].split('/')[-2]
observations.append(
list_observations(inspection_sid)
)
Retrieve observation Grades for all autocode complete inspections
sid = "<inspection_sid>"
inspection = get_inspection(sid)
if inspection['autocode_complete'] == True:
result = list_observations(sid)
observations = result['results']
for obs in observations:
print(obs['Grade'])
Initiate and Fetch an Export
base_url = 'api.sewerai.com'
auth_token = 'some-jwt-token'
inspection_sids = ['<inspection_sid>', '<inspection_sid>']
export_name = "my-export"
headers = {
'Content-Type': 'application/json',
'Authorization': f'Bearer {auth_token}'
}
response = request.post(
url=f"{base_url}/v1/exports/",
headers=headers,
data=json.dumps({
"name": export_name,
"inspection_sids": inspection_sids,
})
)
export_sid = json.loads(response.text).get('sid')
response = request.get(
url=f"{base_url}/v1/exports/{export_sid}",
headers=headers,
)
export_completed = json.loads(response.text).get('completed')
# => if true, use _downloads_ fields in payload to get export files
# => if false, poll until _completed_ is true
SewerAI API v1.0.0
Scroll down for code samples, example requests and responses. Select a language for code samples from the tabs above or the mobile navigation menu.
SewerAI API
Terms of service Email: Support License: BSD License
Authentication
- HTTP Authentication, scheme: bearer
- API Key (tokenAuth)
- Parameter Name: Authorization, in: header. Token-based authentication with required prefix “X-SAI”
accounts
accounts_files_import_test_data_retrieve
Code samples
# You can also use wget
curl -X GET /accounts/{account_sid}/files/{sid}/import-test-data/ \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
GET /accounts/{account_sid}/files/{sid}/import-test-data/ HTTP/1.1
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/accounts/{account_sid}/files/{sid}/import-test-data/',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get '/accounts/{account_sid}/files/{sid}/import-test-data/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('/accounts/{account_sid}/files/{sid}/import-test-data/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','/accounts/{account_sid}/files/{sid}/import-test-data/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/accounts/{account_sid}/files/{sid}/import-test-data/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "/accounts/{account_sid}/files/{sid}/import-test-data/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /accounts/{account_sid}/files/{sid}/import-test-data/
This endpoint is used by the import_test Django admin command to verify that an import has properly executed.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| account_sid | path | string | true | none |
| sid | path | string(uuid) | true | none |
Example responses
200 Response
{
"url": "http://example.com",
"sid": "07f6f342-38f7-4271-ab8f-fab49fd96378",
"account": "http://example.com",
"origin_path": "string",
"name": "string",
"kind": 0,
"location": "string",
"size": "string",
"exists": "string",
"upload_location": "string",
"meta": {
"property1": null,
"property2": null
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | File |
api
api_schema_retrieve
Code samples
# You can also use wget
curl -X GET /api/schema/ \
-H 'Accept: application/vnd.oai.openapi' \
-H 'Authorization: API_KEY'
GET /api/schema/ HTTP/1.1
Accept: application/vnd.oai.openapi
const headers = {
'Accept':'application/vnd.oai.openapi',
'Authorization':'API_KEY'
};
fetch('/api/schema/',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/vnd.oai.openapi',
'Authorization' => 'API_KEY'
}
result = RestClient.get '/api/schema/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/vnd.oai.openapi',
'Authorization': 'API_KEY'
}
r = requests.get('/api/schema/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/vnd.oai.openapi',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','/api/schema/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/api/schema/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/vnd.oai.openapi"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "/api/schema/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /api/schema/
OpenApi3 schema for this API. Format can be selected via content negotiation.
- YAML: application/vnd.oai.openapi
- JSON: application/vnd.oai.openapi+json
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| format | query | string | false | none |
| lang | query | string | false | none |
Enumerated Values
| Parameter | Value |
|---|---|
| format | json |
| format | yaml |
| lang | af |
| lang | ar |
| lang | ar-dz |
| lang | ast |
| lang | az |
| lang | be |
| lang | bg |
| lang | bn |
| lang | br |
| lang | bs |
| lang | ca |
| lang | cs |
| lang | cy |
| lang | da |
| lang | de |
| lang | dsb |
| lang | el |
| lang | en |
| lang | en-au |
| lang | en-gb |
| lang | eo |
| lang | es |
| lang | es-ar |
| lang | es-co |
| lang | es-mx |
| lang | es-ni |
| lang | es-ve |
| lang | et |
| lang | eu |
| lang | fa |
| lang | fi |
| lang | fr |
| lang | fy |
| lang | ga |
| lang | gd |
| lang | gl |
| lang | he |
| lang | hi |
| lang | hr |
| lang | hsb |
| lang | hu |
| lang | hy |
| lang | ia |
| lang | id |
| lang | ig |
| lang | io |
| lang | is |
| lang | it |
| lang | ja |
| lang | ka |
| lang | kab |
| lang | kk |
| lang | km |
| lang | kn |
| lang | ko |
| lang | ky |
| lang | lb |
| lang | lt |
| lang | lv |
| lang | mk |
| lang | ml |
| lang | mn |
| lang | mr |
| lang | my |
| lang | nb |
| lang | ne |
| lang | nl |
| lang | nn |
| lang | os |
| lang | pa |
| lang | pl |
| lang | pt |
| lang | pt-br |
| lang | ro |
| lang | ru |
| lang | sk |
| lang | sl |
| lang | sq |
| lang | sr |
| lang | sr-latn |
| lang | sv |
| lang | sw |
| lang | ta |
| lang | te |
| lang | tg |
| lang | th |
| lang | tk |
| lang | tr |
| lang | tt |
| lang | udm |
| lang | uk |
| lang | ur |
| lang | uz |
| lang | vi |
| lang | zh-hans |
| lang | zh-hant |
Example responses
200 Response
{
"property1": null,
"property2": null
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | Inline |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » additionalProperties | any | false | none | none |
schemas
schemas_get_condition_schema_retrieve
Code samples
# You can also use wget
curl -X GET /schemas/get_condition_schema/ \
-H 'Authorization: API_KEY'
GET /schemas/get_condition_schema/ HTTP/1.1
const headers = {
'Authorization':'API_KEY'
};
fetch('/schemas/get_condition_schema/',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Authorization' => 'API_KEY'
}
result = RestClient.get '/schemas/get_condition_schema/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Authorization': 'API_KEY'
}
r = requests.get('/schemas/get_condition_schema/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','/schemas/get_condition_schema/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/schemas/get_condition_schema/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "/schemas/get_condition_schema/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /schemas/get_condition_schema/
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | No response body | None |
schemas_get_header_fields_retrieve
Code samples
# You can also use wget
curl -X GET /schemas/get_header_fields/ \
-H 'Authorization: API_KEY'
GET /schemas/get_header_fields/ HTTP/1.1
const headers = {
'Authorization':'API_KEY'
};
fetch('/schemas/get_header_fields/',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Authorization' => 'API_KEY'
}
result = RestClient.get '/schemas/get_header_fields/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Authorization': 'API_KEY'
}
r = requests.get('/schemas/get_header_fields/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','/schemas/get_header_fields/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/schemas/get_header_fields/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "/schemas/get_header_fields/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /schemas/get_header_fields/
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | No response body | None |
token
token_create
Code samples
# You can also use wget
curl -X POST /token/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json'
POST /token/ HTTP/1.1
Content-Type: application/json
Accept: application/json
const inputBody = '{
"username": "string",
"password": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json'
};
fetch('/token/',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json'
}
result = RestClient.post '/token/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json'
}
r = requests.post('/token/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','/token/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/token/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "/token/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /token/
Takes a set of user credentials and returns an access and refresh JSON web token pair to prove the authentication of those credentials.
Body parameter
{
"username": "string",
"password": "string"
}
username: string
password: string
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | CortTokenObtainPairRequest | true | none |
Example responses
200 Response
{
"username": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | CortTokenObtainPair |
token_refresh_create
Code samples
# You can also use wget
curl -X POST /token/refresh/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json'
POST /token/refresh/ HTTP/1.1
Content-Type: application/json
Accept: application/json
const inputBody = '{
"refresh": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json'
};
fetch('/token/refresh/',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json'
}
result = RestClient.post '/token/refresh/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json'
}
r = requests.post('/token/refresh/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','/token/refresh/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/token/refresh/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "/token/refresh/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /token/refresh/
Takes a refresh type JSON web token and returns an access type JSON web token if the refresh token is valid.
Body parameter
{
"refresh": "string"
}
refresh: string
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | TokenRefreshRequest | true | none |
Example responses
200 Response
{
"access": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | TokenRefresh |
assets
assets_list
Code samples
# You can also use wget
curl -X GET /assets/ \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
GET /assets/ HTTP/1.1
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/assets/',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get '/assets/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('/assets/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','/assets/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/assets/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "/assets/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /assets/
Asset endpoint
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| created_after | query | string(date-time) | false | none |
| created_before | query | string(date-time) | false | none |
| kind | query | string | false | none |
| updated_after | query | string(date-time) | false | none |
| updated_before | query | string(date-time) | false | none |
Enumerated Values
| Parameter | Value |
|---|---|
| kind | lateral |
| kind | mainline |
| kind | maintenance-hole |
| kind | other |
Example responses
200 Response
[
{
"url": "http://example.com",
"sid": "07f6f342-38f7-4271-ab8f-fab49fd96378",
"name": "string",
"key": "string",
"owner": "http://example.com",
"kind": "mainline",
"geojson": {
"property1": null,
"property2": null
},
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"created": "2019-08-24T14:15:22Z",
"created_by": "http://example.com",
"updated": "2019-08-24T14:15:22Z",
"updated_by": "http://example.com",
"deleted": "2019-08-24T14:15:22Z",
"deleted_by": "http://example.com",
"account": "http://example.com"
}
]
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | PaginatedAssetListList |
assets_create
Code samples
# You can also use wget
curl -X POST /assets/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST /assets/ HTTP/1.1
Content-Type: application/json
Accept: application/json
const inputBody = '{
"name": "string",
"key": "string",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"kind": "mainline",
"geojson": {
"property1": null,
"property2": null
},
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"category": "string",
"metric": true,
"shape": "string",
"host_material": "string",
"renewal_method": "string",
"renewal_year": "string",
"length": 0,
"height": 0,
"width": 0,
"joint_distance": 0,
"rim_to_invert": 0,
"rim_to_grade": 0
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/assets/',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post '/assets/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('/assets/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','/assets/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/assets/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "/assets/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /assets/
Create an Asset
Body parameter
{
"name": "string",
"key": "string",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"kind": "mainline",
"geojson": {
"property1": null,
"property2": null
},
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"category": "string",
"metric": true,
"shape": "string",
"host_material": "string",
"renewal_method": "string",
"renewal_year": "string",
"length": 0,
"height": 0,
"width": 0,
"joint_distance": 0,
"rim_to_invert": 0,
"rim_to_grade": 0
}
name: string
key: string
owner: 534359f7-5407-4b19-ba92-c71c370022a5
kind: mainline
geojson:
? property1
? property2
city: string
city_area: string
country_area: string
country_code: string
postal_code: string
sorting_code: string
street_address: string
account: f5b54a51-a98c-44cf-bb68-a676332e7d12
category: string
metric: true
shape: string
host_material: string
renewal_method: string
renewal_year: string
length: 0
height: 0
width: 0
joint_distance: 0
rim_to_invert: 0
rim_to_grade: 0
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | AssetRequest | false | none |
Example responses
200 Response
{
"property1": null,
"property2": null
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | Inline |
Response Schema
Status Code 200
Unspecified response body
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » additionalProperties | any | false | none | none |
assets_retrieve
Code samples
# You can also use wget
curl -X GET /assets/{sid}/ \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
GET /assets/{sid}/ HTTP/1.1
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/assets/{sid}/',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get '/assets/{sid}/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('/assets/{sid}/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','/assets/{sid}/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/assets/{sid}/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "/assets/{sid}/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /assets/{sid}/
Asset endpoint
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| sid | path | string(uuid) | true | none |
Example responses
200 Response
{
"property1": null,
"property2": null
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | Inline |
Response Schema
Status Code 200
Unspecified response body
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » additionalProperties | any | false | none | none |
assets_update
Code samples
# You can also use wget
curl -X PUT /assets/{sid}/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
PUT /assets/{sid}/ HTTP/1.1
Content-Type: application/json
Accept: application/json
const inputBody = '{
"name": "string",
"key": "string",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"kind": "mainline",
"geojson": {
"property1": null,
"property2": null
},
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"category": "string",
"metric": true,
"shape": "string",
"host_material": "string",
"renewal_method": "string",
"renewal_year": "string",
"length": 0,
"height": 0,
"width": 0,
"joint_distance": 0,
"rim_to_invert": 0,
"rim_to_grade": 0
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/assets/{sid}/',
{
method: 'PUT',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.put '/assets/{sid}/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.put('/assets/{sid}/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('PUT','/assets/{sid}/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/assets/{sid}/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("PUT");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("PUT", "/assets/{sid}/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
PUT /assets/{sid}/
Asset endpoint
Body parameter
{
"name": "string",
"key": "string",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"kind": "mainline",
"geojson": {
"property1": null,
"property2": null
},
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"category": "string",
"metric": true,
"shape": "string",
"host_material": "string",
"renewal_method": "string",
"renewal_year": "string",
"length": 0,
"height": 0,
"width": 0,
"joint_distance": 0,
"rim_to_invert": 0,
"rim_to_grade": 0
}
name: string
key: string
owner: 534359f7-5407-4b19-ba92-c71c370022a5
kind: mainline
geojson:
? property1
? property2
city: string
city_area: string
country_area: string
country_code: string
postal_code: string
sorting_code: string
street_address: string
account: f5b54a51-a98c-44cf-bb68-a676332e7d12
category: string
metric: true
shape: string
host_material: string
renewal_method: string
renewal_year: string
length: 0
height: 0
width: 0
joint_distance: 0
rim_to_invert: 0
rim_to_grade: 0
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| sid | path | string(uuid) | true | none |
| body | body | AssetRequest | false | none |
Example responses
200 Response
{
"property1": null,
"property2": null
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | Inline |
Response Schema
Status Code 200
Unspecified response body
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » additionalProperties | any | false | none | none |
assets_partial_update
Code samples
# You can also use wget
curl -X PATCH /assets/{sid}/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
PATCH /assets/{sid}/ HTTP/1.1
Content-Type: application/json
Accept: application/json
const inputBody = '{
"name": "string",
"key": "string",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"kind": "mainline",
"geojson": {
"property1": null,
"property2": null
},
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"category": "string",
"metric": true,
"shape": "string",
"host_material": "string",
"renewal_method": "string",
"renewal_year": "string",
"length": 0,
"height": 0,
"width": 0,
"joint_distance": 0,
"rim_to_invert": 0,
"rim_to_grade": 0
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/assets/{sid}/',
{
method: 'PATCH',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.patch '/assets/{sid}/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.patch('/assets/{sid}/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('PATCH','/assets/{sid}/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/assets/{sid}/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("PATCH");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("PATCH", "/assets/{sid}/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
PATCH /assets/{sid}/
Asset endpoint
Body parameter
{
"name": "string",
"key": "string",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"kind": "mainline",
"geojson": {
"property1": null,
"property2": null
},
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"category": "string",
"metric": true,
"shape": "string",
"host_material": "string",
"renewal_method": "string",
"renewal_year": "string",
"length": 0,
"height": 0,
"width": 0,
"joint_distance": 0,
"rim_to_invert": 0,
"rim_to_grade": 0
}
name: string
key: string
owner: 534359f7-5407-4b19-ba92-c71c370022a5
kind: mainline
geojson:
? property1
? property2
city: string
city_area: string
country_area: string
country_code: string
postal_code: string
sorting_code: string
street_address: string
account: f5b54a51-a98c-44cf-bb68-a676332e7d12
category: string
metric: true
shape: string
host_material: string
renewal_method: string
renewal_year: string
length: 0
height: 0
width: 0
joint_distance: 0
rim_to_invert: 0
rim_to_grade: 0
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| sid | path | string(uuid) | true | none |
| body | body | PatchedAssetRequest | false | none |
Example responses
200 Response
{
"property1": null,
"property2": null
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | Inline |
Response Schema
Status Code 200
Unspecified response body
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » additionalProperties | any | false | none | none |
exports
exports_create
Code samples
# You can also use wget
curl -X POST /exports/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST /exports/ HTTP/1.1
Content-Type: application/json
Accept: application/json
const inputBody = '{
"name": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/exports/',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post '/exports/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('/exports/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','/exports/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/exports/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "/exports/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /exports/
Body parameter
{
"name": "string"
}
name: string
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | ExportWriteRequest | false | none |
Example responses
201 Response
{
"name": "string",
"sid": "07f6f342-38f7-4271-ab8f-fab49fd96378"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | none | ExportWrite |
exports_retrieve
Code samples
# You can also use wget
curl -X GET /exports/{sid}/ \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
GET /exports/{sid}/ HTTP/1.1
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/exports/{sid}/',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get '/exports/{sid}/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('/exports/{sid}/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','/exports/{sid}/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/exports/{sid}/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "/exports/{sid}/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /exports/{sid}/
View and download exports
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| sid | path | string(uuid) | true | none |
Example responses
200 Response
{
"url": "http://example.com",
"sid": "07f6f342-38f7-4271-ab8f-fab49fd96378",
"name": "string",
"completed": "string",
"downloads": "string",
"output_paths": "string",
"progress": {
"property1": null,
"property2": null
},
"total_size": 0
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | ExportRead |
exports_destroy
Code samples
# You can also use wget
curl -X DELETE /exports/{sid}/ \
-H 'Authorization: API_KEY'
DELETE /exports/{sid}/ HTTP/1.1
const headers = {
'Authorization':'API_KEY'
};
fetch('/exports/{sid}/',
{
method: 'DELETE',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Authorization' => 'API_KEY'
}
result = RestClient.delete '/exports/{sid}/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Authorization': 'API_KEY'
}
r = requests.delete('/exports/{sid}/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('DELETE','/exports/{sid}/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/exports/{sid}/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("DELETE");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("DELETE", "/exports/{sid}/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
DELETE /exports/{sid}/
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| sid | path | string(uuid) | true | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 204 | No Content | No response body | None |
inspections
inspections_list
Code samples
# You can also use wget
curl -X GET /inspections/ \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
GET /inspections/ HTTP/1.1
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/inspections/',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get '/inspections/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('/inspections/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','/inspections/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/inspections/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "/inspections/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /inspections/
Inspection endpoint
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| created_after | query | string(date-time) | false | none |
| created_before | query | string(date-time) | false | none |
| inspection_datetime_after | query | string(date-time) | false | none |
| inspection_datetime_before | query | string(date-time) | false | none |
| inspection_type | query | string | false | none |
| key | query | string | false | none |
| project | query | string | false | The SID or Name of a project |
| updated_after | query | string(date-time) | false | none |
| updated_before | query | string(date-time) | false | none |
Enumerated Values
| Parameter | Value |
|---|---|
| inspection_type | lacp |
| inspection_type | lateral |
| inspection_type | macp |
| inspection_type | mainline |
| inspection_type | maintenance-hole |
| inspection_type | pacp |
Example responses
200 Response
[
{
"sid": "07f6f342-38f7-4271-ab8f-fab49fd96378",
"url": "http://example.com",
"key": "string",
"asset": "http://example.com",
"owner": "http://example.com",
"client": "http://example.com",
"reason": "operations-support",
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"inspection_datetime": "2019-08-24T14:15:22Z",
"inspection_type": "mainline",
"autocode_complete": true,
"autocode_complete_date": "2019-08-24T14:15:22Z",
"distance": {
"property1": null,
"property2": null
},
"metadata": {
"property1": null,
"property2": null
},
"created": "2019-08-24T14:15:22Z",
"updated": "2019-08-24T14:15:22Z",
"projects": [
{
"url": "http://example.com",
"sid": "07f6f342-38f7-4271-ab8f-fab49fd96378",
"account": "http://example.com",
"name": "string",
"description": "string",
"client": "http://example.com",
"date_due": "2019-08-24T14:15:22Z",
"date_started": "2019-08-24T14:15:22Z",
"date_finished": "2019-08-24T14:15:22Z",
"active": true,
"created": "2019-08-24T14:15:22Z",
"updated": "2019-08-24T14:15:22Z",
"created_by": "http://example.com",
"updated_by": "http://example.com",
"deleted": "2019-08-24T14:15:22Z",
"deleted_by": "http://example.com"
}
],
"video": "http://example.com",
"validate": true,
"created_by": "http://example.com",
"updated_by": "http://example.com",
"deleted": "2019-08-24T14:15:22Z",
"deleted_by": "http://example.com",
"account": "http://example.com"
}
]
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | PaginatedInspectionListList |
inspections_create
Code samples
# You can also use wget
curl -X POST /inspections/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST /inspections/ HTTP/1.1
Content-Type: application/json
Accept: application/json
const inputBody = '{
"key": "string",
"asset": "5a841cf2-3786-47ad-8831-36ccea9ed096",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"client": "95b7f642-4812-4c19-ba03-689f2fdf42f8",
"reason": "operations-support",
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"inspection_datetime": "2019-08-24T14:15:22Z",
"inspection_type": "mainline",
"distance": {
"property1": null,
"property2": null
},
"metadata": {
"property1": null,
"property2": null
},
"projects": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"validate": true,
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"year_built": "string",
"pipe_category": "string",
"shape": "string",
"direction": "string",
"renewal_method": "string",
"renewal_year": "string",
"notes": "string",
"result": "string",
"location_type": "string",
"purchase_order": "string",
"work_order": "string",
"weather": "string",
"temperature": "string",
"captured_by": "string",
"certification": "string",
"reviewed_by": "string",
"capture_method": "string",
"height": 0,
"joint_distance": 0,
"length_inspected": 0,
"length": 0,
"width": 0,
"metric": true,
"pre_cleaning": "string",
"pre_cleaning_date": "string",
"flow_condition": "string",
"begin_rim_to_invert": 0,
"begin_rim_to_grade": 0,
"end_rim_to_invert": 0,
"end_rim_to_grade": 0,
"begin_access_point": "string",
"end_access_point": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/inspections/',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post '/inspections/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('/inspections/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','/inspections/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/inspections/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "/inspections/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /inspections/
Create an Inspection
Body parameter
{
"key": "string",
"asset": "5a841cf2-3786-47ad-8831-36ccea9ed096",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"client": "95b7f642-4812-4c19-ba03-689f2fdf42f8",
"reason": "operations-support",
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"inspection_datetime": "2019-08-24T14:15:22Z",
"inspection_type": "mainline",
"distance": {
"property1": null,
"property2": null
},
"metadata": {
"property1": null,
"property2": null
},
"projects": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"validate": true,
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"year_built": "string",
"pipe_category": "string",
"shape": "string",
"direction": "string",
"renewal_method": "string",
"renewal_year": "string",
"notes": "string",
"result": "string",
"location_type": "string",
"purchase_order": "string",
"work_order": "string",
"weather": "string",
"temperature": "string",
"captured_by": "string",
"certification": "string",
"reviewed_by": "string",
"capture_method": "string",
"height": 0,
"joint_distance": 0,
"length_inspected": 0,
"length": 0,
"width": 0,
"metric": true,
"pre_cleaning": "string",
"pre_cleaning_date": "string",
"flow_condition": "string",
"begin_rim_to_invert": 0,
"begin_rim_to_grade": 0,
"end_rim_to_invert": 0,
"end_rim_to_grade": 0,
"begin_access_point": "string",
"end_access_point": "string"
}
key: string
asset: 5a841cf2-3786-47ad-8831-36ccea9ed096
owner: 534359f7-5407-4b19-ba92-c71c370022a5
client: 95b7f642-4812-4c19-ba03-689f2fdf42f8
reason: operations-support
city: string
city_area: string
country_area: string
country_code: string
postal_code: string
sorting_code: string
street_address: string
inspection_datetime: 2019-08-24T14:15:22Z
inspection_type: mainline
distance:
? property1
? property2
metadata:
? property1
? property2
projects:
- 497f6eca-6276-4993-bfeb-53cbbbba6f08
validate: true
account: f5b54a51-a98c-44cf-bb68-a676332e7d12
year_built: string
pipe_category: string
shape: string
direction: string
renewal_method: string
renewal_year: string
notes: string
result: string
location_type: string
purchase_order: string
work_order: string
weather: string
temperature: string
captured_by: string
certification: string
reviewed_by: string
capture_method: string
height: 0
joint_distance: 0
length_inspected: 0
length: 0
width: 0
metric: true
pre_cleaning: string
pre_cleaning_date: string
flow_condition: string
begin_rim_to_invert: 0
begin_rim_to_grade: 0
end_rim_to_invert: 0
end_rim_to_grade: 0
begin_access_point: string
end_access_point: string
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | InspectionRequest | false | none |
Example responses
200 Response
{
"property1": null,
"property2": null
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | Inline |
Response Schema
Status Code 200
Unspecified response body
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » additionalProperties | any | false | none | none |
inspections_observations_list
Code samples
# You can also use wget
curl -X GET /inspections/{inspection_sid}/observations/ \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
GET /inspections/{inspection_sid}/observations/ HTTP/1.1
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/inspections/{inspection_sid}/observations/',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get '/inspections/{inspection_sid}/observations/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('/inspections/{inspection_sid}/observations/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','/inspections/{inspection_sid}/observations/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/inspections/{inspection_sid}/observations/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "/inspections/{inspection_sid}/observations/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /inspections/{inspection_sid}/observations/
Observations endpoint
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| created_after | query | string(date-time) | false | none |
| created_before | query | string(date-time) | false | none |
| inspection_created_after | query | string(date-time) | false | none |
| inspection_created_before | query | string(date-time) | false | none |
| inspection_datetime_after | query | string(date-time) | false | none |
| inspection_datetime_before | query | string(date-time) | false | none |
| inspection_sid | path | string | true | none |
| inspection_updated_after | query | string(date-time) | false | none |
| inspection_updated_before | query | string(date-time) | false | none |
| project | query | string | false | The SID or Name of a project |
| updated_after | query | string(date-time) | false | none |
| updated_before | query | string(date-time) | false | none |
Example responses
200 Response
[
{
"url": "http://example.com",
"sid": "07f6f342-38f7-4271-ab8f-fab49fd96378",
"video_frame": -2147483648,
"Distance": 0,
"code": "string",
"description": "string",
"Continuous": "string",
"Joint": true,
"Clock_At_From": 0,
"Clock_To": 0,
"Value_1st_Dimension": 0,
"Value_2nd_Dimension": 0,
"Value_Percent": 0,
"Grade": "string",
"Remarks": "string",
"snapshot_url": "string",
"bounding_boxes": "string",
"created": "2019-08-24T14:15:22Z",
"created_by": "http://example.com",
"updated": "2019-08-24T14:15:22Z",
"updated_by": "http://example.com",
"deleted": "2019-08-24T14:15:22Z",
"deleted_by": "http://example.com",
"account": "http://example.com"
}
]
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | PaginatedObservationReadList |
inspections_observations_create
Code samples
# You can also use wget
curl -X POST /inspections/{inspection_sid}/observations/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST /inspections/{inspection_sid}/observations/ HTTP/1.1
Content-Type: application/json
Accept: application/json
const inputBody = '{
"video_frame": -2147483648,
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/inspections/{inspection_sid}/observations/',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post '/inspections/{inspection_sid}/observations/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('/inspections/{inspection_sid}/observations/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','/inspections/{inspection_sid}/observations/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/inspections/{inspection_sid}/observations/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "/inspections/{inspection_sid}/observations/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /inspections/{inspection_sid}/observations/
Observations endpoint
Body parameter
{
"video_frame": -2147483648,
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12"
}
video_frame: -2147483648
account: f5b54a51-a98c-44cf-bb68-a676332e7d12
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| inspection_sid | path | string | true | none |
| body | body | ObservationWriteRequest | false | none |
Example responses
201 Response
{
"url": "http://example.com",
"sid": "07f6f342-38f7-4271-ab8f-fab49fd96378",
"video_frame": -2147483648,
"Distance": 0,
"code": "string",
"description": "string",
"Continuous": "string",
"Joint": true,
"Clock_At_From": 0,
"Clock_To": 0,
"Value_1st_Dimension": 0,
"Value_2nd_Dimension": 0,
"Value_Percent": 0,
"Remarks": "string",
"snapshot_url": "string",
"bounding_boxes": "string",
"created": "2019-08-24T14:15:22Z",
"created_by": "http://example.com",
"updated": "2019-08-24T14:15:22Z",
"updated_by": "http://example.com",
"deleted": "2019-08-24T14:15:22Z",
"deleted_by": "http://example.com",
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | none | ObservationWrite |
inspections_observations_retrieve
Code samples
# You can also use wget
curl -X GET /inspections/{inspection_sid}/observations/{sid}/ \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
GET /inspections/{inspection_sid}/observations/{sid}/ HTTP/1.1
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/inspections/{inspection_sid}/observations/{sid}/',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get '/inspections/{inspection_sid}/observations/{sid}/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('/inspections/{inspection_sid}/observations/{sid}/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','/inspections/{inspection_sid}/observations/{sid}/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/inspections/{inspection_sid}/observations/{sid}/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "/inspections/{inspection_sid}/observations/{sid}/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /inspections/{inspection_sid}/observations/{sid}/
Observations endpoint
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| inspection_sid | path | string | true | none |
| sid | path | string(uuid) | true | none |
Example responses
200 Response
{
"url": "http://example.com",
"sid": "07f6f342-38f7-4271-ab8f-fab49fd96378",
"video_frame": -2147483648,
"Distance": 0,
"code": "string",
"description": "string",
"Continuous": "string",
"Joint": true,
"Clock_At_From": 0,
"Clock_To": 0,
"Value_1st_Dimension": 0,
"Value_2nd_Dimension": 0,
"Value_Percent": 0,
"Grade": "string",
"Remarks": "string",
"snapshot_url": "string",
"bounding_boxes": "string",
"created": "2019-08-24T14:15:22Z",
"created_by": "http://example.com",
"updated": "2019-08-24T14:15:22Z",
"updated_by": "http://example.com",
"deleted": "2019-08-24T14:15:22Z",
"deleted_by": "http://example.com",
"account": "http://example.com"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | ObservationRead |
inspections_retrieve
Code samples
# You can also use wget
curl -X GET /inspections/{sid}/ \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
GET /inspections/{sid}/ HTTP/1.1
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/inspections/{sid}/',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get '/inspections/{sid}/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('/inspections/{sid}/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','/inspections/{sid}/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/inspections/{sid}/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "/inspections/{sid}/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /inspections/{sid}/
Inspection endpoint
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| sid | path | string(uuid) | true | none |
Example responses
200 Response
{
"property1": null,
"property2": null
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | Inline |
Response Schema
Status Code 200
Unspecified response body
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » additionalProperties | any | false | none | none |
inspections_update
Code samples
# You can also use wget
curl -X PUT /inspections/{sid}/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
PUT /inspections/{sid}/ HTTP/1.1
Content-Type: application/json
Accept: application/json
const inputBody = '{
"key": "string",
"asset": "5a841cf2-3786-47ad-8831-36ccea9ed096",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"client": "95b7f642-4812-4c19-ba03-689f2fdf42f8",
"reason": "operations-support",
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"inspection_datetime": "2019-08-24T14:15:22Z",
"inspection_type": "mainline",
"distance": {
"property1": null,
"property2": null
},
"metadata": {
"property1": null,
"property2": null
},
"projects": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"validate": true,
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"year_built": "string",
"pipe_category": "string",
"shape": "string",
"direction": "string",
"renewal_method": "string",
"renewal_year": "string",
"notes": "string",
"result": "string",
"location_type": "string",
"purchase_order": "string",
"work_order": "string",
"weather": "string",
"temperature": "string",
"captured_by": "string",
"certification": "string",
"reviewed_by": "string",
"capture_method": "string",
"height": 0,
"joint_distance": 0,
"length_inspected": 0,
"length": 0,
"width": 0,
"metric": true,
"pre_cleaning": "string",
"pre_cleaning_date": "string",
"flow_condition": "string",
"begin_rim_to_invert": 0,
"begin_rim_to_grade": 0,
"end_rim_to_invert": 0,
"end_rim_to_grade": 0,
"begin_access_point": "string",
"end_access_point": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/inspections/{sid}/',
{
method: 'PUT',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.put '/inspections/{sid}/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.put('/inspections/{sid}/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('PUT','/inspections/{sid}/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/inspections/{sid}/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("PUT");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("PUT", "/inspections/{sid}/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
PUT /inspections/{sid}/
Inspection endpoint
Body parameter
{
"key": "string",
"asset": "5a841cf2-3786-47ad-8831-36ccea9ed096",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"client": "95b7f642-4812-4c19-ba03-689f2fdf42f8",
"reason": "operations-support",
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"inspection_datetime": "2019-08-24T14:15:22Z",
"inspection_type": "mainline",
"distance": {
"property1": null,
"property2": null
},
"metadata": {
"property1": null,
"property2": null
},
"projects": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"validate": true,
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"year_built": "string",
"pipe_category": "string",
"shape": "string",
"direction": "string",
"renewal_method": "string",
"renewal_year": "string",
"notes": "string",
"result": "string",
"location_type": "string",
"purchase_order": "string",
"work_order": "string",
"weather": "string",
"temperature": "string",
"captured_by": "string",
"certification": "string",
"reviewed_by": "string",
"capture_method": "string",
"height": 0,
"joint_distance": 0,
"length_inspected": 0,
"length": 0,
"width": 0,
"metric": true,
"pre_cleaning": "string",
"pre_cleaning_date": "string",
"flow_condition": "string",
"begin_rim_to_invert": 0,
"begin_rim_to_grade": 0,
"end_rim_to_invert": 0,
"end_rim_to_grade": 0,
"begin_access_point": "string",
"end_access_point": "string"
}
key: string
asset: 5a841cf2-3786-47ad-8831-36ccea9ed096
owner: 534359f7-5407-4b19-ba92-c71c370022a5
client: 95b7f642-4812-4c19-ba03-689f2fdf42f8
reason: operations-support
city: string
city_area: string
country_area: string
country_code: string
postal_code: string
sorting_code: string
street_address: string
inspection_datetime: 2019-08-24T14:15:22Z
inspection_type: mainline
distance:
? property1
? property2
metadata:
? property1
? property2
projects:
- 497f6eca-6276-4993-bfeb-53cbbbba6f08
validate: true
account: f5b54a51-a98c-44cf-bb68-a676332e7d12
year_built: string
pipe_category: string
shape: string
direction: string
renewal_method: string
renewal_year: string
notes: string
result: string
location_type: string
purchase_order: string
work_order: string
weather: string
temperature: string
captured_by: string
certification: string
reviewed_by: string
capture_method: string
height: 0
joint_distance: 0
length_inspected: 0
length: 0
width: 0
metric: true
pre_cleaning: string
pre_cleaning_date: string
flow_condition: string
begin_rim_to_invert: 0
begin_rim_to_grade: 0
end_rim_to_invert: 0
end_rim_to_grade: 0
begin_access_point: string
end_access_point: string
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| sid | path | string(uuid) | true | none |
| body | body | InspectionRequest | false | none |
Example responses
200 Response
{
"property1": null,
"property2": null
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | Inline |
Response Schema
Status Code 200
Unspecified response body
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » additionalProperties | any | false | none | none |
inspections_partial_update
Code samples
# You can also use wget
curl -X PATCH /inspections/{sid}/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
PATCH /inspections/{sid}/ HTTP/1.1
Content-Type: application/json
Accept: application/json
const inputBody = '{
"key": "string",
"asset": "5a841cf2-3786-47ad-8831-36ccea9ed096",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"client": "95b7f642-4812-4c19-ba03-689f2fdf42f8",
"reason": "operations-support",
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"inspection_datetime": "2019-08-24T14:15:22Z",
"inspection_type": "mainline",
"distance": {
"property1": null,
"property2": null
},
"metadata": {
"property1": null,
"property2": null
},
"projects": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"validate": true,
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"year_built": "string",
"pipe_category": "string",
"shape": "string",
"direction": "string",
"renewal_method": "string",
"renewal_year": "string",
"notes": "string",
"result": "string",
"location_type": "string",
"purchase_order": "string",
"work_order": "string",
"weather": "string",
"temperature": "string",
"captured_by": "string",
"certification": "string",
"reviewed_by": "string",
"capture_method": "string",
"height": 0,
"joint_distance": 0,
"length_inspected": 0,
"length": 0,
"width": 0,
"metric": true,
"pre_cleaning": "string",
"pre_cleaning_date": "string",
"flow_condition": "string",
"begin_rim_to_invert": 0,
"begin_rim_to_grade": 0,
"end_rim_to_invert": 0,
"end_rim_to_grade": 0,
"begin_access_point": "string",
"end_access_point": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/inspections/{sid}/',
{
method: 'PATCH',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.patch '/inspections/{sid}/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.patch('/inspections/{sid}/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('PATCH','/inspections/{sid}/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/inspections/{sid}/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("PATCH");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("PATCH", "/inspections/{sid}/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
PATCH /inspections/{sid}/
Inspection endpoint
Body parameter
{
"key": "string",
"asset": "5a841cf2-3786-47ad-8831-36ccea9ed096",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"client": "95b7f642-4812-4c19-ba03-689f2fdf42f8",
"reason": "operations-support",
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"inspection_datetime": "2019-08-24T14:15:22Z",
"inspection_type": "mainline",
"distance": {
"property1": null,
"property2": null
},
"metadata": {
"property1": null,
"property2": null
},
"projects": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"validate": true,
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"year_built": "string",
"pipe_category": "string",
"shape": "string",
"direction": "string",
"renewal_method": "string",
"renewal_year": "string",
"notes": "string",
"result": "string",
"location_type": "string",
"purchase_order": "string",
"work_order": "string",
"weather": "string",
"temperature": "string",
"captured_by": "string",
"certification": "string",
"reviewed_by": "string",
"capture_method": "string",
"height": 0,
"joint_distance": 0,
"length_inspected": 0,
"length": 0,
"width": 0,
"metric": true,
"pre_cleaning": "string",
"pre_cleaning_date": "string",
"flow_condition": "string",
"begin_rim_to_invert": 0,
"begin_rim_to_grade": 0,
"end_rim_to_invert": 0,
"end_rim_to_grade": 0,
"begin_access_point": "string",
"end_access_point": "string"
}
key: string
asset: 5a841cf2-3786-47ad-8831-36ccea9ed096
owner: 534359f7-5407-4b19-ba92-c71c370022a5
client: 95b7f642-4812-4c19-ba03-689f2fdf42f8
reason: operations-support
city: string
city_area: string
country_area: string
country_code: string
postal_code: string
sorting_code: string
street_address: string
inspection_datetime: 2019-08-24T14:15:22Z
inspection_type: mainline
distance:
? property1
? property2
metadata:
? property1
? property2
projects:
- 497f6eca-6276-4993-bfeb-53cbbbba6f08
validate: true
account: f5b54a51-a98c-44cf-bb68-a676332e7d12
year_built: string
pipe_category: string
shape: string
direction: string
renewal_method: string
renewal_year: string
notes: string
result: string
location_type: string
purchase_order: string
work_order: string
weather: string
temperature: string
captured_by: string
certification: string
reviewed_by: string
capture_method: string
height: 0
joint_distance: 0
length_inspected: 0
length: 0
width: 0
metric: true
pre_cleaning: string
pre_cleaning_date: string
flow_condition: string
begin_rim_to_invert: 0
begin_rim_to_grade: 0
end_rim_to_invert: 0
end_rim_to_grade: 0
begin_access_point: string
end_access_point: string
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| sid | path | string(uuid) | true | none |
| body | body | PatchedInspectionRequest | false | none |
Example responses
200 Response
{
"property1": null,
"property2": null
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | none | Inline |
Response Schema
Status Code 200
Unspecified response body
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » additionalProperties | any | false | none | none |
inspections_AutoCode_create
Code samples
# You can also use wget
curl -X POST /inspections/AutoCode/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST /inspections/AutoCode/ HTTP/1.1
Content-Type: application/json
Accept: application/json
const inputBody = '{
"key": "string",
"asset": "5a841cf2-3786-47ad-8831-36ccea9ed096",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"client": "95b7f642-4812-4c19-ba03-689f2fdf42f8",
"reason": "operations-support",
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"inspection_datetime": "2019-08-24T14:15:22Z",
"inspection_type": "mainline",
"distance": {
"property1": null,
"property2": null
},
"metadata": {
"property1": null,
"property2": null
},
"projects": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"validate": true,
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"year_built": "string",
"pipe_category": "string",
"shape": "string",
"direction": "string",
"renewal_method": "string",
"renewal_year": "string",
"notes": "string",
"result": "string",
"location_type": "string",
"purchase_order": "string",
"work_order": "string",
"weather": "string",
"temperature": "string",
"captured_by": "string",
"certification": "string",
"reviewed_by": "string",
"capture_method": "string",
"height": 0,
"joint_distance": 0,
"length_inspected": 0,
"length": 0,
"width": 0,
"metric": true,
"pre_cleaning": "string",
"pre_cleaning_date": "string",
"flow_condition": "string",
"begin_rim_to_invert": 0,
"begin_rim_to_grade": 0,
"end_rim_to_invert": 0,
"end_rim_to_grade": 0,
"begin_access_point": "string",
"end_access_point": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('/inspections/AutoCode/',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post '/inspections/AutoCode/',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('/inspections/AutoCode/', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','/inspections/AutoCode/', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("/inspections/AutoCode/");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "/inspections/AutoCode/", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /inspections/AutoCode/
Inspection endpoint
Body parameter
{
"key": "string",
"asset": "5a841cf2-3786-47ad-8831-36ccea9ed096",
"owner": "534359f7-5407-4b19-ba92-c71c370022a5",
"client": "95b7f642-4812-4c19-ba03-689f2fdf42f8",
"reason": "operations-support",
"city": "string",
"city_area": "string",
"country_area": "string",
"country_code": "string",
"postal_code": "string",
"sorting_code": "string",
"street_address": "string",
"inspection_datetime": "2019-08-24T14:15:22Z",
"inspection_type": "mainline",
"distance": {
"property1": null,
"property2": null
},
"metadata": {
"property1": null,
"property2": null
},
"projects": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"validate": true,
"account": "f5b54a51-a98c-44cf-bb68-a676332e7d12",
"year_built": "string",
"pipe_category": "string",
"shape": "string",
"direction": "string",
"renewal_method": "string",
"renewal_year": "string",
"notes": "string",
"result": "string",
"location_type": "string",
"purchase_order": "string",
"work_order": "string",
"weather": "string",
"temperature": "string",
"captured_by": "string",
"certification": "string",
"reviewed_by": "string",
"capture_method": "string",
"height": 0,
"joint_distance": 0,
"length_inspected": 0,
"length": 0,
"width": 0,
"metric": true,
"pre_cleaning": "string",
"pre_cleaning_date": "string",
"flow_condition": "string",
"begin_rim_to_invert": 0,
"begin_rim_to_grade": 0,
"end_rim_to_invert": 0,
"end_rim_to_grade": 0,
"begin_access_point": "string",
"end_access_point": "string"
}
key: string
asset: 5a841cf2-3786-47ad-8831-36ccea9ed096
owner: 534359f7-5407-4b19-ba92-c71c370022a5
client: 95b7f642-4812-4c19-ba03-689f2fdf42f8
reason: operations-support
city: string
city_area: string
country_area: string
country_code: string
postal_code: string
sorting_code: string
street_address: string
inspection_datetime: 2019-08-24T14:15:22Z
inspection_type: mainline
distance:
? property1
? property2
metadata:
? property1
? property2
projects:
- 497f6eca-6276-4993-bfeb-53cbbbba6f08
validate: true
account: f5b54a51-a98c-44cf-bb68-a676332e7d12
year_built: string
pipe_category: string
shape: string
direction: string
renewal_method: string
renewal_year: string
notes: string
result: string
location_type: string
[...]
